---
title: "Commands"
---

## Commands

| Command | Description                                                          |
| ------- | -------------------------------------------------------------------- |
| `login` | Used to authenticate and set the logged in user.                     |
| `init`  | Used to link a local project to the platform.                        |
| `run`   | Used to inject envars from the platform into an application process. |
| `vault` | Used to manage where your login credentials are stored at rest       |
## Global options

| Option            | Description                                     |
| ----------------- | ----------------------------------------------- |
| `--help`, `-h`    | List help for any command                       |
| `--debug`, `-d`   | Enable verbose logging                          |
| `--domain`        | Use to direct Infisical to a self-hosted domain |
| `--version`, `-v` | Print version information and quit              |
